aboutsummaryrefslogtreecommitdiffstats
path: root/community/smstools
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-05-03 09:58:39 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-05-03 09:58:39 +0000
commit52197adcabd57674ef0c4e76d6d83445fa08b6dd (patch)
treec254d5dbbc2718ab8f19410ccef86179f5ca5289 /community/smstools
parentf8b9a6368f33c85c016b8fa13edcab90dbe88971 (diff)
downloadaports-52197adcabd57674ef0c4e76d6d83445fa08b6dd.tar.gz
aports-52197adcabd57674ef0c4e76d6d83445fa08b6dd.tar.bz2
aports-52197adcabd57674ef0c4e76d6d83445fa08b6dd.tar.xz
community/smstools: remove _builddir
Diffstat (limited to 'community/smstools')
-rw-r--r--community/smstools/APKBUILD16
1 files changed, 8 insertions, 8 deletions
diff --git a/community/smstools/APKBUILD b/community/smstools/APKBUILD
index 8d8dc90449..68535c293b 100644
--- a/community/smstools/APKBUILD
+++ b/community/smstools/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=smstools
pkgver=3.1.20
-pkgrel=0
+pkgrel=1
_realname="${pkgname}${pkgver%\.[0-9]*\.[0-9]*}"
pkgdesc="SMS Gateway software which can send and receive short messages through GSM modems and mobile phones"
url="http://smstools3.kekekasvi.com/"
@@ -19,18 +19,18 @@ source="http://smstools3.kekekasvi.com/packages/${_realname}-$pkgver.tar.gz
builddir="$srcdir"/$_realname
build() {
- cd "$_builddir"
+ cd "$builddir"
make || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
mkdir -p $pkgdir/usr/bin/ $pkgdir/usr/sbin/ || return 1
- install -m0755 $_builddir/src/smsd $pkgdir/usr/sbin/smsd || return 1
- install -m0755 $_builddir/scripts/sendsms $pkgdir/usr/bin/sendsms || return 1
- install -m0755 $_builddir/scripts/sms2html $pkgdir/usr/bin/sms2html || return 1
- install -m0755 $_builddir/scripts/sms2unicode $pkgdir/usr/bin/sms2unicode || return 1
- install -m0755 $_builddir/scripts/unicode2sms $pkgdir/usr/bin/unicode2sms || return 1
+ install -m0755 $builddir/src/smsd $pkgdir/usr/sbin/smsd || return 1
+ install -m0755 $builddir/scripts/sendsms $pkgdir/usr/bin/sendsms || return 1
+ install -m0755 $builddir/scripts/sms2html $pkgdir/usr/bin/sms2html || return 1
+ install -m0755 $builddir/scripts/sms2unicode $pkgdir/usr/bin/sms2unicode || return 1
+ install -m0755 $builddir/scripts/unicode2sms $pkgdir/usr/bin/unicode2sms || return 1
mkdir -p $pkgdir/etc/ || return 1
install -m0644 $srcdir/smstools.conf $pkgdir/etc/smsd.conf || return 1